variable "environment" {
  default = "prod"
}

variable "openweather_secret" {
  description = "open weather api secret"
  sensitive = true
}
variable "S3_key_secret" {
  description = "S3 backend key secret"
  sensitive = true
}
variable "S3_endpoint" {
  default = "s3.localdomain"
  description = "S3 backend endpoint"
}
variable "S3_bucket" {
  default = "weather"
  description = "S3 bucket"  
}
variable "S3_region" {
  default = "FR"
  description = "S3 backend region"
}
variable "S3_key_id" {
  default = "antoine"
  description = "S3 backend key id"
}

variable "poller_version" {
  default = "1.0.0"
  description = "poller container version"
}
variable "weather_version" {
  default = "1.0.0"
  description = "poller container version"
}